Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615847 - Review Request: oflb-asana-math-fonts - An OpenType font with a MATH table
Review Request: oflb-asana-math-fonts - An OpenType font with a MATH table
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477331
  Show dependency treegraph
 
Reported: 2010-07-19 01:40 EDT by Parag Nemade
Modified: 2014-09-29 08:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 01:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-07-19 01:40:19 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/oflb-asana-math-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/oflb-asana-math-fonts-0.914-8.fc13.src.rpm
Description:
An OpenType font with a MATH table that can be used with XeTeX to typeset math
content
Comment 1 Ankur Sinha (FranciscoD) 2010-07-19 06:20:22 EDT
REVIEW:

+ OK
? ISSUE
- NA

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
? Package has a correct %clean section.
? Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. rpmlint output:
[Ankur@localhost SPECS]$ rpmlint oflb-asana-math-fonts.spec ../SRPMS/oflb-asana-math-fonts-0.914-8.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
oflb-asana-math-fonts.spec: W: no-cleaning-of-buildroot %install
oflb-asana-math-fonts.spec: W: no-cleaning-of-buildroot %clean
oflb-asana-math-fonts.spec: W: no-buildroot-tag
oflb-asana-math-fonts.spec: W: no-%clean-section
oflb-asana-math-fonts.spec: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Asana_Math.otf HTTP Error 404: Not Found
oflb-asana-math-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/219 HTTP Error 404: Not Found
oflb-asana-math-fonts.src: W: no-cleaning-of-buildroot %install
oflb-asana-math-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-asana-math-fonts.src: W: no-buildroot-tag
oflb-asana-math-fonts.src: W: no-%clean-section
oflb-asana-math-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Asana_Math.otf HTTP Error 404: Not Found
oflb-asana-math-fonts.noarch: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/219 HTTP Error 404: Not Found
oflb-asana-math-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/219 HTTP Error 404: Not Found
oflb-asana-math-fonts.src: W: no-cleaning-of-buildroot %install
oflb-asana-math-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-asana-math-fonts.src: W: no-buildroot-tag
oflb-asana-math-fonts.src: W: no-%clean-section
oflb-asana-math-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Asana_Math.otf HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 18 warnings.

warnings ignorable. 

I'm assuming the package is for F13+, otherwise you need to add the clean section.

Please fix that. Rest is OK.


XXX Approved XXX
Comment 2 Parag Nemade 2010-07-20 23:34:30 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: oflb-asana-math-fonts
Short Description: An OpenType font with a MATH table
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig
Comment 3 Kevin Fenzi 2010-07-21 01:16:42 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Parag Nemade 2010-07-22 01:33:04 EDT
Thanks all. Built in rawhide.
Comment 5 Parag Nemade 2014-09-28 02:28:46 EDT
Package Change Request
======================
Package Name: oflb-asana-math-fonts
New Branches: el6 epel7
Owners: pnemade
Comment 6 Gwyn Ciesla 2014-09-29 08:00:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.